Subject: Should kdepim require security/cy2-* ?
To: None <>
From: Louis Guillaume <>
List: tech-pkg
Date: 07/07/2006 14:22:22

Kmail uses cyrus SASL for SMTP authentication. But unless a supported 
transport mechanism is installed via pkgsrc packages cy2-login, cy2-plain 
etc. the sending of the message fails.

So whenever I install kdepim, I must also install security/cy2-* (or at least 
one mechanism supported by the server).

Could this just be a dependency? If a client program, such as Kmail, should be 
expected to authenticate by whatever method the server is allowing, shouldn't 
all these plugins be installed with the client program?